%define __requires_exclude ^(pear\\(Auth.*|pear\\(PHPUnit.*|pear\\(config.*|pear\\(lib.*|pear\\(sample[1234]\\.php\\)|pear\\(.*sodium.*|pear\\(phar:/.*)$

Name:           ampache
Version:        4.2.5
Release:        %mkrel 4
Summary:        Web-based MP3/Ogg/RM/Flac/WMA/M4A manager
License:        AGPLv3+
Group:          Networking/WWW
URL:            https://www.ampache.org/
Source0:        https://github.com/ampache/ampache/releases/download/%{version}/%{name}-%{version}_all.zip
Patch1:		ampache-4.1.1-mga-python-2to3.patch
Patch2:		ampache-4.1.1-mga-ambiguous-python-shebang.patch
Requires:       webserver
Requires:       php-webinterface
Requires:       php-iconv
Requires:       php-mbstring
Requires:       php-mysql
Requires:       php-pdo
Requires:       php-pdo_mysql
Recommends:     php-curl
Recommends:     php-gd
BuildArch:      noarch

%description
Ampache is a Web-based MP3/Ogg/RM/Flac/WMA/M4A manager.
It allows you to view, edit, and play your audio files via HTTP/IceCast/Mpd
or Moosic. It has support for downsampling, playlists, artist,
and album views, album art, random play, song play tracking, user themes,
and remote catalogs using XML-RPC.

%prep
%setup -q -c
%autopatch -p1

%build

%install
install -d -m 755 %{buildroot}%{_datadir}/%{name}
cp -r * %{buildroot}%{_datadir}/%{name}

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# Ampache configuration

Alias /%{name} %{_datadir}/%{name}
<Directory %{_datadir}/%{name}>
    Require all granted
</Directory>
EOF

%files
%doc docs/CHANGELOG.md
%{_datadir}/%{name}
%config(noreplace) %{_webappconfdir}/%{name}.conf




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 4.2.5-4.mga10
+ Revision: 2206736
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 4.2.5-3.mga9
+ Revision: 1813815
- Mageia 9 Mass Rebuild

* Fri Jan 01 2021 luigiwalser <luigiwalser> 4.2.5-2.mga8
+ Revision: 1667935
- filter more bogus pear requires

* Thu Dec 31 2020 neoclust <neoclust> 4.2.5-1.mga8
+ Revision: 1666627
- New version 4.2.5

* Wed Jul 22 2020 mokraemer <mokraemer> 4.1.1-3.mga8
+ Revision: 1608011
- require webserver instead of apache

* Wed Jul 22 2020 mokraemer <mokraemer> 4.1.1-2.mga8
+ Revision: 1607857
- resolve mod_php conflict

* Mon Mar 02 2020 solbu <solbu> 4.1.1-1.mga8
+ Revision: 1553052
- Fix build: run «2to3» on python2 scripts
- Fix missing dependencies (mga#18849)
- New version: 4.1.1
- Fix incorrect %%prep stage
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Feb 06 2019 shlomif <shlomif> 3.8.8-3.mga7
+ Revision: 1363589
- remove bogus php deps

* Thu Sep 20 2018 umeabot <umeabot> 3.8.8-2.mga7
+ Revision: 1277600
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 shlomif <shlomif> 3.8.8-1.mga7
+ Revision: 1241585
- New version 3.8.8

* Mon Jul 17 2017 shlomif <shlomif> 3.8.3-1.mga7
+ Revision: 1124241
- New version 3.8.3

* Fri Apr 08 2016 daviddavid <daviddavid> 3.8.2-2.mga6
+ Revision: 999283
- filter out invalid auto-requires

* Fri Feb 19 2016 shlomif <shlomif> 3.8.2-1.mga6
+ Revision: 969210
- New version 3.8.2

* Fri Feb 05 2016 umeabot <umeabot> 3.5.4-11.mga6
+ Revision: 939035
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.5.4-10.mga5
+ Revision: 749036
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 3.5.4-9.mga5
+ Revision: 733971
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 3.5.4-8.mga5
+ Revision: 677752
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.5.4-7.mga4
+ Revision: 522531
- Mageia 4 Mass Rebuild

* Sun Mar 17 2013 guillomovitch <guillomovitch> 3.5.4-6.mga3
+ Revision: 403583
- fix default apache configuration file (#8923)
- fix deprecated Call-time pass-by-reference usage

* Fri Jan 11 2013 umeabot <umeabot> 3.5.4-5.mga3
+ Revision: 345531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 06 2012 shlomif <shlomif> 3.5.4-4.mga3
+ Revision: 268484
- Add missing Requires. See bug #6481.
- Convert tabs to spaces
- Remove trailing space

* Wed Jan 19 2011 erwan <erwan> 3.5.4-3.mga1
+ Revision: 24768
- imported package ampache


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.5.4-3mdv2011.0
+ Revision: 609971
- rebuild

* Mon Mar 01 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.5.4-2mdv2010.1
+ Revision: 513190
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise

* Sat Feb 06 2010 Frederik Himpe <fhimpe@mandriva.org> 3.5.4-1mdv2010.1
+ Revision: 501330
- update to new version 3.5.4

* Sun Dec 27 2009 Frederik Himpe <fhimpe@mandriva.org> 3.5.3-1mdv2010.1
+ Revision: 482738
- update to new version 3.5.3

* Mon Jul 13 2009 Frederik Himpe <fhimpe@mandriva.org> 3.5.1-1mdv2010.0
+ Revision: 395571
- update to new version 3.5.1

* Wed Jun 10 2009 Funda Wang <fwang@mandriva.org> 3.5-1mdv2010.0
+ Revision: 384616
- New version 3.5

* Tue Jan 20 2009 Funda Wang <fwang@mandriva.org> 3.4.4-1mdv2009.1
+ Revision: 331620
- update to new version 3.4.4

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 3.4.3-1mdv2009.0
+ Revision: 277908
- update to new version 3.4.3

* Sun Jul 27 2008 Funda Wang <fwang@mandriva.org> 3.4.2-1mdv2009.0
+ Revision: 250493
- update to new version 3.4.2

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 3.4.1-1mdv2009.0
+ Revision: 214089
- New version 3.4.1

* Sun May 11 2008 Funda Wang <fwang@mandriva.org> 3.4-1mdv2009.0
+ Revision: 205440
- New version 3.4

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 3.3.3.5-2mdv2008.1
+ Revision: 170698
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Erwan Velu <erwan@mandriva.org> 3.3.3.5-1mdv2008.0
+ Revision: 67200
- 3.3.3.5

* Fri Jul 27 2007 Funda Wang <fwang@mandriva.org> 3.3.3.4-1mdv2008.0
+ Revision: 56236
- New version 3.3.3.4

* Mon Jun 11 2007 Erwan Velu <erwan@mandriva.org> 3.3.3.3-1mdv2008.0
+ Revision: 38037
- 3.3.3.3

* Fri May 11 2007 Erwan Velu <erwan@mandriva.org> 3.3.3.2-1mdv2008.0
+ Revision: 26356
- 3.3.3.2

* Thu Apr 26 2007 Erwan Velu <erwan@mandriva.org> 3.3.3.1-1mdv2008.0
+ Revision: 18423
- Import ampache

